package dp.kotul.bamboospecsapplication.configuration;

import java.util.List;

public class DeploymentTaskConfiguration {
    private DeploymentTaskType type;
    private List<String> content;
    private String host;
    private String username;
    private String password;
    private String description;
    private String remotePath;
    private String repositoryName;
    private String imageName;
    private String artifactName;
    private String environmentVariables;

    public DeploymentTaskConfiguration(DeploymentTaskType type, List<String> content, String host, String username, String password, String description,
                                       String remotePath, String repositoryName, String imageName, String artifactName, String environmentVariables) {
        this.type = type;
        this.content = content;
        this.host = host;
        this.username = username;
        this.password = password;
        this.description = description;
        this.remotePath = remotePath;
        this.repositoryName = repositoryName;
        this.imageName = imageName;
        this.artifactName = artifactName;
        this.environmentVariables = environmentVariables;
    }

    public DeploymentTaskConfiguration() {
    }

    public DeploymentTaskType getType() {
        return type;
    }

    public void setType(DeploymentTaskType type) {
        this.type = type;
    }

    public List<String> getContent() {
        return content;
    }

    public void setContent(List<String> content) {
        this.content = content;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRemotePath() {
        return remotePath;
    }

    public void setRemotePath(String remotePath) {
        this.remotePath = remotePath;
    }

    public String getRepositoryName() {
        return repositoryName;
    }

    public void setRepositoryName(String repositoryName) {
        this.repositoryName = repositoryName;
    }

    public String getImageName() {
        return imageName;
    }

    public void setImageName(String imageName) {
        this.imageName = imageName;
    }

    public String getArtifactName() {
        return artifactName;
    }

    public void setArtifactName(String artifactName) {
        this.artifactName = artifactName;
    }

    public String getEnvironmentVariables() {
        return environmentVariables;
    }

    public void setEnvironmentVariables(String environmentVariables) {
        this.environmentVariables = environmentVariables;
    }
}
